import { Config, DriverType } from "./Connector";
import { Builder } from "./query/Builder";
import { Grammar } from "./query/grammars/Grammar";
import { DriverInterface } from "./drivers/DriverInterface";
export declare class Connection {
    protected _driverType: DriverType;
    protected _config: Config;
    protected _grammar: Grammar;
    protected _driver: DriverInterface;
    constructor(driverType: DriverType, config: Config);
    driverType(): DriverType;
    query(): Builder;
    rawSql(sql: string, bindings?: any[]): Promise<any>;
    close(): void;
    beginTransaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    protected driver(): DriverInterface;
}
