import { Connection } from "./Connection";
export declare const enum DriverType {
    mysql = 0,
    pgsql = 1,
}
export interface ConfigMap {
    [key: string]: Config;
}
export interface Config {
    driver: DriverType;
    host: string;
    port: number;
    user: string;
    password: string;
    database: string;
}
export declare class Connector {
    static connections: {
        [key: string]: Connection;
    };
    static create(configs: ConfigMap): void;
    static closeAll(): void;
}
