import * as pg from "pg";
import { Config } from "../Connector";
import { DriverInterface } from "./DriverInterface";
export declare class PostgresDriver implements DriverInterface {
    protected _config: Config;
    protected _client: pg.Client;
    protected _connected: boolean;
    constructor(config: Config);
    connect(): Promise<this>;
    run(sql: string, bindings?: any[]): Promise<any>;
    beginTransaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    close(): void;
    protected client(): pg.Client;
    protected ensureConnection(): Promise<void>;
}
