"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringHelper = {
    trim: function (str, char) {
        if (undefined === char) {
            return str.trim();
        }
        if (char === "]") {
            char = "\\]";
        }
        if (char === "\\") {
            char = "\\\\";
        }
        return str.replace(new RegExp("^[" + char + "]+|[" + char + "]+$", "g"), "");
    },
    rightPad: function (str, length, char) {
        if (char === void 0) { char = " "; }
        if (str.length >= length) {
            return str;
        }
        var padTimes = length - str.length;
        for (var i = 0; i < padTimes; i++) {
            str += char;
        }
        return str;
    },
};
exports.arrayHelper = {
    equal: function (arr1, arr2) {
        if (arr1.length !== arr2.length) {
            return false;
        }
        var isEqual = true;
        arr1.forEach(function (value, index) {
            if (value !== arr2[index]) {
                isEqual = false;
                return;
            }
        });
        return isEqual;
    },
    merge: function () {
        var arr = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            arr[_i] = arguments[_i];
        }
        if (0 === arr.length) {
            return [];
        }
        var res = [];
        arr.forEach(function (a) {
            a.forEach(function (v) {
                res.push(v);
            });
        });
        return res;
    },
    in_array: function (value, arr) {
        return -1 !== arr.indexOf(value);
    },
    sum: function (arr) {
        return arr.reduce(function (a, b) {
            return a + b;
        });
    },
    avg: function (arr, limit) {
        if (undefined === limit) {
            return exports.arrayHelper.sum(arr) / arr.length;
        }
        return Number((exports.arrayHelper.sum(arr) / arr.length).toFixed(limit));
    },
};
exports.objectHelper = {
    merge: function () {
        var objects = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            objects[_i] = arguments[_i];
        }
        if (0 === objects.length) {
            return {};
        }
        var res = {};
        objects.forEach(function (object) {
            res = Object.assign(res, object);
        });
        return res;
    },
    values: function (obj) {
        var values = [];
        Object.keys(obj).forEach(function (key) {
            values.push(obj[key]);
        });
        return values;
    }
};
//# sourceMappingURL=helpers.js.map