"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Grammar_1 = require("./Grammar");
var Expression_1 = require("../Expression");
var PostgresGrammar = /** @class */ (function (_super) {
    __extends(PostgresGrammar, _super);
    function PostgresGrammar() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.parameterNumber = 0;
        /**
         * All of the available clause operators
         */
        _this.operators = [
            "=", "<", ">", "<=", ">=", "<>", "!=",
            "like", "not like", "between", "ilike",
            "&", "|", "#", "<<", ">>", ">>=", "=<<",
            "@>", "<@", "?", "?|", "?&", "||", "-", "-", "#-",
        ];
        return _this;
    }
    /**
     * Wrap a single string in keyword identifiers
     * @param value
     */
    PostgresGrammar.prototype.wrapSingleValue = function (value) {
        return "\"" + value.replace("\"", "") + "\"";
    };
    /**
     * Get the appropriate query parameter place-holder
     */
    PostgresGrammar.prototype.parameter = function (value) {
        if (value instanceof Expression_1.Expression) {
            return value.value();
        }
        this.parameterNumber += 1;
        return "$" + this.parameterNumber;
    };
    PostgresGrammar.prototype.compileInsertGetId = function (query, map, sequence) {
        return this.compileInsert(query, [map]) + " returning " + this.wrap(sequence);
    };
    return PostgresGrammar;
}(Grammar_1.Grammar));
exports.PostgresGrammar = PostgresGrammar;
//# sourceMappingURL=PostgresGrammar.js.map